Last Comment Bug 751375 - structure webapp runtime Makefiles correctly
: structure webapp runtime Makefiles correctly
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Myk Melez [:myk] [@mykmelez]
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 14:47 PDT by Myk Melez [:myk] [@mykmelez]
Modified: 2016-03-21 12:39 PDT (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1: corrects makefiles (1.19 KB, patch)
2012-05-02 14:47 PDT, Myk Melez [:myk] [@mykmelez]
benjamin: review+
Details | Diff | Splinter Review

Description Myk Melez [:myk] [@mykmelez] 2012-05-02 14:47:21 PDT
Created attachment 620475 [details] [diff] [review]
patch v1: corrects makefiles

Per bug 747470, comment 11, makefiles should include autoconf.mk and only include config.mk explicitly if they have to override its definitions.

Here's a patch that corrects webapprt/Makefile.in and webapprt/mac/Makefile.in.  webapprt/win/Makefile.in was already fixed in bug 747470.
Comment 1 Myk Melez [:myk] [@mykmelez] 2012-05-07 10:48:47 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/6a2e890ebcab
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-05-07 18:11:40 PDT
http://hg.mozilla.org/mozilla-central/rev/6a2e890ebcab
Comment 3 Jason Smith [:jsmith] 2012-05-12 08:31:58 PDT
Myk - Is there anything I can verify here (I don't think there is, but want to confirm)?
Comment 4 Myk Melez [:myk] [@mykmelez] 2012-05-14 10:23:11 PDT
That's right, there's nothing you can verify here, since the build outcome is currently the same (as far as I know).

Note You need to log in before you can comment on or make changes to this bug.